#include <stdio.h>
#include <stdarg.h>


int eprintf(const char format[], ...) {
    va_list args;
    va_start(args, format);
    int ret = vfprintf(stderr, format, args);
    va_end(args);
    return ret;
}

void ungetchar(int ch) {
    ungetc(ch, stdin);
}

int eof() {
    return feof(stdin);
}
